Payments

List Payments

GET
/orgs/{organizationId}/payments

Lists payments with filtering, sorting, pagination, optional includes, and relation-exists filters (has{Relation} style). Search matches Tillor payment IDs, references, descriptions, customers, and invoices. Use cardFingerprint for an exact match on Mollie channelInfo.details.cardFingerprint, maskedNumber for an exact match on channelInfo.details.maskedNumber or cardMaskedNumber, or pass the same values via search. Json path filters such as channelInfo.details.maskedNumber are also supported.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""amount""amountRefunded""amountRemaining""currency""description""reference""createdAt""updatedAt""expiresAt""paidAt""delayUntil""errorMessage""errorMessageTranslationKey""status""method""channel""provider""channelInfo""accountingSoftwareProvider""accountingSoftwareMetadata""createdById""invoiceId""customerId""mandateId""paymentReportId""paymentGroupId"
sortDir?string
Value in"asc""desc"
include?|array<>|string
createdById?string|array<string>|null
invoiceId?string|array<string>|null
customerId?string|array<string>|null
mandateId?string|array<string>|null
paymentReportId?string|array<string>|null
paymentGroupId?string|array<string>|null
status?|array<>|
method?|array<>|
channel?|array<>|
provider?|array<>|
accountingSoftwareProvider?|array<>|
amount?number||
amountRefunded?number||
amountRemaining?number||
createdAt?|null
updatedAt?|null
expiresAt?|null
paidAt?|null
delayUntil?|null
currency?string|array<string>|
description?string|array<string>|
reference?string|array<string>|
errorMessage?string|array<string>|
errorMessageTranslationKey?string|array<string>|
channelInfo?
accountingSoftwareMetadata?
hasStatusChanges?boolean|string|number|null
hasNoStatusChanges?boolean|string|number|null
hasEventLogs?boolean|string|number|null
hasNoEventLogs?boolean|string|number|null
hasAuditLogs?boolean|string|number|null
hasNoAuditLogs?boolean|string|number|null
hasNotificationDeliveries?boolean|string|number|null
hasNoNotificationDeliveries?boolean|string|number|null
hasComments?boolean|string|number|null
hasNoComments?boolean|string|number|null
statusChangeId?string|array<string>|
eventLogId?string|array<string>|
auditLogId?string|array<string>|
notificationDeliveryId?string|array<string>|
commentId?string|array<string>|
hasCreatedBy?boolean|string|number|null
hasNoCreatedBy?boolean|string|number|null
hasInvoice?boolean|string|number|null
hasNoInvoice?boolean|string|number|null
hasCustomer?boolean|string|number|null
hasNoCustomer?boolean|string|number|null
hasMandate?boolean|string|number|null
hasNoMandate?boolean|string|number|null
hasPaymentReport?boolean|string|number|null
hasNoPaymentReport?boolean|string|number|null
hasPaymentGroup?boolean|string|number|null
hasNoPaymentGroup?boolean|string|number|null
search?string
cardFingerprint?string
Length1 <= length
maskedNumber?string
Length1 <= length

Response Body

Paginated payments matching the filters.

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/payments'
null